Loading...
Searching...
No Matches
channel_cap Struct Reference
Rig (transceiver) API

Channel capability definition. More...

`#include <rig.h>`

## Data Fields

unsigned | bank_num: 1
unsigned | vfo: 1
unsigned | ant: 1
unsigned | freq: 1
unsigned | mode: 1
unsigned | width: 1
unsigned | tx_freq: 1
unsigned | tx_mode: 1
unsigned | tx_width: 1
unsigned | split: 1
unsigned | tx_vfo: 1
unsigned | rptr_shift: 1
unsigned | rptr_offs: 1
unsigned | tuning_step: 1
unsigned | rit: 1
unsigned | xit: 1
setting_t | funcs
setting_t | levels
unsigned | ctcss_tone: 1
unsigned | ctcss_sql: 1
unsigned | dcs_code: 1
unsigned | dcs_sql: 1
unsigned | scan_group: 1
unsigned | flags: 1
unsigned | channel_desc: 1
unsigned | ext_levels: 1
unsigned | tag: 1

## Detailed Description

Channel capability definition.

Definition of the attributes that can be stored/retrieved in/from memory

## Field Documentation

## ant

unsigned channel_cap::ant

Selected antenna

## bank_num

unsigned channel_cap::bank_num

Bank number

## channel_desc

unsigned channel_cap::channel_desc

Name

## ctcss_sql

unsigned channel_cap::ctcss_sql

CTCSS squelch tone

## ctcss_tone

unsigned channel_cap::ctcss_tone

CTCSS tone

## dcs_code

unsigned channel_cap::dcs_code

DCS code

## dcs_sql

unsigned channel_cap::dcs_sql

DCS squelch code

## ext_levels

unsigned channel_cap::ext_levels

Extension level value list

## flags

unsigned channel_cap::flags

Channel flags

## freq

unsigned channel_cap::freq

Receive frequency

## funcs

setting_t channel_cap::funcs

Function status

## levels

setting_t channel_cap::levels

Level values

## mode

unsigned channel_cap::mode

Receive mode

## rit

unsigned channel_cap::rit

RIT

## rptr_offs

unsigned channel_cap::rptr_offs

Repeater offset

## rptr_shift

unsigned channel_cap::rptr_shift

Repeater shift

## scan_group

unsigned channel_cap::scan_group

Scan group

## split

unsigned channel_cap::split

Split mode

## tag

unsigned channel_cap::tag

Has tag field e.g. FT991

## tuning_step

unsigned channel_cap::tuning_step

Tuning step

## tx_freq

unsigned channel_cap::tx_freq

Transmit frequency

## tx_mode

unsigned channel_cap::tx_mode

Transmit mode

## tx_vfo

unsigned channel_cap::tx_vfo

Split transmit VFO

## tx_width

unsigned channel_cap::tx_width

Transmit passband width associated with mode

## vfo

unsigned channel_cap::vfo

VFO

## width

unsigned channel_cap::width

Receive passband width associated with mode

## xit

unsigned channel_cap::xit

XIT

The documentation for this struct was generated from the following file:

- rig.h